## hubzero-metrics 1.1.0

=== Makefile ===
# @package      hubzero-metrics
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHAREDIR=$(DESTDIR)/usr/share
ETCDIR=$(DESTDIR)/etc

default all build:
	@true

install:
	install --mode 0755 -D metrics/gen_tool_plots $(USRSHAREDIR)/hubzero-metrics/scripts/gen_tool_plots
	install --mode 0755 -D metrics/__process_usage_metrics_summary.sh $(USRSHAREDIR)/hubzero-metrics/scripts/__process_usage_metrics_summary.sh
	install --mode 0755 -D metrics/xlogfix_domain $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_domain
	install --mode 0755 -D metrics/xlogfix_prep $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_prep
	install --mode 0755 -D metrics/gen_tool_stats $(USRSHAREDIR)/hubzero-metrics/scripts/gen_tool_stats
	install --mode 0755 -D metrics/_setup_permissions_temp $(USRSHAREDIR)/hubzero-metrics/scripts/_setup_permissions_temp
	install --mode 0755 -D metrics/xlogfix_ipcountry $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_ipcountry
	install --mode 0755 -D metrics/xlogfix_summary $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_summary
	install --mode 0755 -D metrics/gen_tool_toplists $(USRSHAREDIR)/hubzero-metrics/scripts/gen_tool_toplists
	install --mode 0755 -D metrics/logfix_session $(USRSHAREDIR)/hubzero-metrics/scripts/logfix_session
	install --mode 0755 -D metrics/xlogfix_andmore_usage $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_andmore_usage
	install --mode 0755 -D metrics/xlogfix_middleware_cpu $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_middleware_cpu
	install --mode 0755 -D metrics/xlogfix_user_info $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_user_info
	install --mode 0755 -D metrics/gen_tool_tops $(USRSHAREDIR)/hubzero-metrics/scripts/gen_tool_tops
	install --mode 0755 -D metrics/__process_tool_metrics.sh $(USRSHAREDIR)/hubzero-metrics/scripts/__process_tool_metrics.sh
	install --mode 0755 -D metrics/xlogfix_clean $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_clean
	install --mode 0755 -D metrics/xlogfix_middleware_wall $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_middleware_wall
	install --mode 0755 -D metrics/xlogfix_whoisonline $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_whoisonline
	install --mode 0755 -D metrics/__process_usage_metrics.sh $(USRSHAREDIR)/hubzero-metrics/scripts/__process_usage_metrics.sh
	install --mode 0755 -D metrics/xlogfix_dns $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_dns
	install --mode 0755 -D metrics/xlogfix_plot $(USRSHAREDIR)/hubzero-metrics/scripts/xlogfix_plot
	install --mode 0755 -D metrics/xlogimport_tool_and_reg_user_data $(USRSHAREDIR)/hubzero-metrics/scripts/xlogimport_tool_and_reg_user_data
	install --mode 0755 -D metrics/includes/db_connect.php $(USRSHAREDIR)/hubzero-metrics/scripts/includes/db_connect.php
	install --mode 0755 -D metrics/includes/func_andmore.php $(USRSHAREDIR)/hubzero-metrics/scripts/includes/func_andmore.php
	install --mode 0755 -D metrics/includes/func_misc.php $(USRSHAREDIR)/hubzero-metrics/scripts/includes/func_misc.php
	install --mode 0755 -D metrics/includes/hub_parameters.php $(USRSHAREDIR)/hubzero-metrics/scripts/includes/hub_parameters.php
	install --mode 0755 -D metrics/includes/xlogplotgraph $(USRSHAREDIR)/hubzero-metrics/scripts/includes/xlogplotgraph
	install --mode 0755 -D metrics/import/__archive_apache_and_auth_log.sh $(USRSHAREDIR)/hubzero-metrics/scripts/import/__archive_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/__fetch_apache_and_auth_log.sh $(USRSHAREDIR)/hubzero-metrics/scripts/import/__fetch_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/__import_apache_and_auth_log.sh $(USRSHAREDIR)/hubzero-metrics/scripts/import/__import_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/xlogfix_identify_bots $(USRSHAREDIR)/hubzero-metrics/scripts/import/xlogfix_identify_bots
	install --mode 0755 -D metrics/import/xlogimport_apache $(USRSHAREDIR)/hubzero-metrics/scripts/import/xlogimport_apache
	install --mode 0755 -D metrics/import/xlogimport_authlog $(USRSHAREDIR)/hubzero-metrics/scripts/import/xlogimport_authlog
	install --mode 0755 -D metrics/import/xlogimport_webhits $(USRSHAREDIR)/hubzero-metrics/scripts/import/xlogimport_webhits
	install --mode 0644 -D metrics/_install/hub_files/db_create_metrics_tables.sql $(USRSHAREDIR)/hubzero-metrics/hubzero_metrics.sql
	mkdir -p $(ETCDIR)/cron.d
	mkdir -p $(ETCDIR)/cron.d
	mkdir -p $(ETCDIR)/cron.d
	sed -e "s#/opt/hubzero/bin/metrics#/usr/share/hubzero-metrics/scripts#" metrics/_install/hub_files/crontab_metrics   > $(ETCDIR)/cron.d/crontab_metrics
	
configure:
	@true
	
clean:
	rm -f build-stamp configure-stamp

## hubzero-metrics 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-metrics
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-metrics 1.2.0

=== Makefile ===
# @package      hubzero-metrics
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -D metrics/gen_tool_plots $(USRSHARE)/hubzero-metrics/scripts/gen_tool_plots
	install --mode 0755 -D metrics/__process_usage_metrics_summary.sh $(USRSHARE)/hubzero-metrics/scripts/__process_usage_metrics_summary.sh
	install --mode 0755 -D metrics/xlogfix_domain $(USRSHARE)/hubzero-metrics/scripts/xlogfix_domain
	install --mode 0755 -D metrics/xlogfix_prep $(USRSHARE)/hubzero-metrics/scripts/xlogfix_prep
	install --mode 0755 -D metrics/gen_tool_stats $(USRSHARE)/hubzero-metrics/scripts/gen_tool_stats
	install --mode 0755 -D metrics/_setup_permissions_temp $(USRSHARE)/hubzero-metrics/scripts/_setup_permissions_temp
	install --mode 0755 -D metrics/xlogfix_ipcountry $(USRSHARE)/hubzero-metrics/scripts/xlogfix_ipcountry
	install --mode 0755 -D metrics/xlogfix_summary $(USRSHARE)/hubzero-metrics/scripts/xlogfix_summary
	install --mode 0755 -D metrics/gen_tool_toplists $(USRSHARE)/hubzero-metrics/scripts/gen_tool_toplists
	install --mode 0755 -D metrics/logfix_session $(USRSHARE)/hubzero-metrics/scripts/logfix_session
	install --mode 0755 -D metrics/xlogfix_andmore_usage $(USRSHARE)/hubzero-metrics/scripts/xlogfix_andmore_usage
	install --mode 0755 -D metrics/xlogfix_middleware_cpu $(USRSHARE)/hubzero-metrics/scripts/xlogfix_middleware_cpu
	install --mode 0755 -D metrics/xlogfix_user_info $(USRSHARE)/hubzero-metrics/scripts/xlogfix_user_info
	install --mode 0755 -D metrics/gen_tool_tops $(USRSHARE)/hubzero-metrics/scripts/gen_tool_tops
	install --mode 0755 -D metrics/__process_tool_metrics.sh $(USRSHARE)/hubzero-metrics/scripts/__process_tool_metrics.sh
	install --mode 0755 -D metrics/xlogfix_clean $(USRSHARE)/hubzero-metrics/scripts/xlogfix_clean
	install --mode 0755 -D metrics/xlogfix_middleware_wall $(USRSHARE)/hubzero-metrics/scripts/xlogfix_middleware_wall
	install --mode 0755 -D metrics/xlogfix_whoisonline $(USRSHARE)/hubzero-metrics/scripts/xlogfix_whoisonline
	install --mode 0755 -D metrics/__process_usage_metrics.sh $(USRSHARE)/hubzero-metrics/scripts/__process_usage_metrics.sh
	install --mode 0755 -D metrics/xlogfix_dns $(USRSHARE)/hubzero-metrics/scripts/xlogfix_dns
	install --mode 0755 -D metrics/xlogfix_plot $(USRSHARE)/hubzero-metrics/scripts/xlogfix_plot
	install --mode 0755 -D metrics/xlogimport_tool_and_reg_user_data $(USRSHARE)/hubzero-metrics/scripts/xlogimport_tool_and_reg_user_data
	install --mode 0755 -D metrics/includes/db_connect.php $(USRSHARE)/hubzero-metrics/scripts/includes/db_connect.php
	install --mode 0755 -D metrics/includes/func_andmore.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_andmore.php
	install --mode 0755 -D metrics/includes/func_misc.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_misc.php
	install --mode 0755 -D metrics/includes/hub_parameters.php $(USRSHARE)/hubzero-metrics/scripts/includes/hub_parameters.php
	install --mode 0755 -D metrics/includes/xlogplotgraph $(USRSHARE)/hubzero-metrics/scripts/includes/xlogplotgraph
	install --mode 0755 -D metrics/import/__archive_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__archive_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/__fetch_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__fetch_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/__import_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__import_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/xlogfix_identify_bots $(USRSHARE)/hubzero-metrics/scripts/import/xlogfix_identify_bots
	install --mode 0755 -D metrics/import/xlogimport_apache $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_apache
	install --mode 0755 -D metrics/import/xlogimport_authlog $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_authlog
	install --mode 0755 -D metrics/import/xlogimport_webhits $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_webhits
	install --mode 0644 -D metrics/_install/hub_files/db_create_metrics_tables.sql $(USRSHARE)/hubzero-metrics/hubzero_metrics.sql
	mkdir -p $(ETC)/cron.d
	mkdir -p $(ETC)/cron.d
	mkdir -p $(ETC)/cron.d
	sed -e "s#/opt/hubzero/bin/metrics#/usr/share/hubzero-metrics/scripts#" metrics/_install/hub_files/crontab_metrics   > $(ETC)/cron.d/crontab_metrics

postinst:
	@true

clean:
	@true

.PHONY: all install postinst clean

## hubzero-metrics 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-metrics
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -54,10 +54,10 @@
 	install --mode 0755 -D metrics/xlogfix_dns $(USRSHARE)/hubzero-metrics/scripts/xlogfix_dns
 	install --mode 0755 -D metrics/xlogfix_plot $(USRSHARE)/hubzero-metrics/scripts/xlogfix_plot
 	install --mode 0755 -D metrics/xlogimport_tool_and_reg_user_data $(USRSHARE)/hubzero-metrics/scripts/xlogimport_tool_and_reg_user_data
-	install --mode 0755 -D metrics/includes/db_connect.php $(USRSHARE)/hubzero-metrics/scripts/includes/db_connect.php
-	install --mode 0755 -D metrics/includes/func_andmore.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_andmore.php
-	install --mode 0755 -D metrics/includes/func_misc.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_misc.php
-	install --mode 0755 -D metrics/includes/hub_parameters.php $(USRSHARE)/hubzero-metrics/scripts/includes/hub_parameters.php
+	install --mode 0644 -D metrics/includes/db_connect.php $(USRSHARE)/hubzero-metrics/scripts/includes/db_connect.php
+	install --mode 0644 -D metrics/includes/func_andmore.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_andmore.php
+	install --mode 0644 -D metrics/includes/func_misc.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_misc.php
+	install --mode 0644 -D metrics/includes/hub_parameters.php $(USRSHARE)/hubzero-metrics/scripts/includes/hub_parameters.php
 	install --mode 0755 -D metrics/includes/xlogplotgraph $(USRSHARE)/hubzero-metrics/scripts/includes/xlogplotgraph
 	install --mode 0755 -D metrics/import/__archive_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__archive_apache_and_auth_log.sh
 	install --mode 0755 -D metrics/import/__fetch_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__fetch_apache_and_auth_log.sh
@@ -72,10 +72,13 @@
 	mkdir -p $(ETC)/cron.d
 	sed -e "s#/opt/hubzero/bin/metrics#/usr/share/hubzero-metrics/scripts#" metrics/_install/hub_files/crontab_metrics   > $(ETC)/cron.d/crontab_metrics
 
+uninstall:
+	@true
+
 postinst:
 	@true
 
 clean:
 	@true
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean

## hubzero-metrics 1.3.1

=== Makefile ===
# @package      hubzero-metrics
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -D metrics/gen_tool_plots $(USRSHARE)/hubzero-metrics/scripts/gen_tool_plots
	install --mode 0755 -D metrics/gen_tool_stats $(USRSHARE)/hubzero-metrics/scripts/gen_tool_stats
	install --mode 0755 -D metrics/gen_tool_toplists $(USRSHARE)/hubzero-metrics/scripts/gen_tool_toplists
	install --mode 0755 -D metrics/gen_tool_tops $(USRSHARE)/hubzero-metrics/scripts/gen_tool_tops
	install --mode 0755 -D metrics/logfix_session $(USRSHARE)/hubzero-metrics/scripts/logfix_session
	install --mode 0755 -D metrics/__process_tool_metrics.sh $(USRSHARE)/hubzero-metrics/scripts/__process_tool_metrics.sh
	install --mode 0755 -D metrics/__process_usage_metrics.sh $(USRSHARE)/hubzero-metrics/scripts/__process_usage_metrics.sh
	install --mode 0755 -D metrics/__process_usage_metrics_summary.sh $(USRSHARE)/hubzero-metrics/scripts/__process_usage_metrics_summary.sh
	install --mode 0755 -D metrics/xlogfix_andmore_usage $(USRSHARE)/hubzero-metrics/scripts/xlogfix_andmore_usage
	install --mode 0755 -D metrics/xlogfix_clean $(USRSHARE)/hubzero-metrics/scripts/xlogfix_clean
	install --mode 0755 -D metrics/xlogfix_dns $(USRSHARE)/hubzero-metrics/scripts/xlogfix_dns
	install --mode 0755 -D metrics/xlogfix_domain $(USRSHARE)/hubzero-metrics/scripts/xlogfix_domain
	install --mode 0755 -D metrics/xlogfix_ipcountry $(USRSHARE)/hubzero-metrics/scripts/xlogfix_ipcountry
	install --mode 0755 -D metrics/xlogfix_middleware_cpu $(USRSHARE)/hubzero-metrics/scripts/xlogfix_middleware_cpu
	install --mode 0755 -D metrics/xlogfix_middleware_wall $(USRSHARE)/hubzero-metrics/scripts/xlogfix_middleware_wall
	install --mode 0755 -D metrics/xlogfix_plot $(USRSHARE)/hubzero-metrics/scripts/xlogfix_plot
	install --mode 0755 -D metrics/xlogfix_prep $(USRSHARE)/hubzero-metrics/scripts/xlogfix_prep
	install --mode 0755 -D metrics/xlogfix_summary $(USRSHARE)/hubzero-metrics/scripts/xlogfix_summary
	install --mode 0755 -D metrics/xlogfix_user_info $(USRSHARE)/hubzero-metrics/scripts/xlogfix_user_info
	install --mode 0755 -D metrics/xlogfix_whoisonline $(USRSHARE)/hubzero-metrics/scripts/xlogfix_whoisonline
	install --mode 0755 -D metrics/xlogimport_tool_and_reg_user_data $(USRSHARE)/hubzero-metrics/scripts/xlogimport_tool_and_reg_user_data

	install --mode 0644 -D metrics/includes/db_connect.php $(USRSHARE)/hubzero-metrics/scripts/includes/db_connect.php
	install --mode 0644 -D metrics/includes/func_andmore.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_andmore.php
	install --mode 0644 -D metrics/includes/func_misc.php $(USRSHARE)/hubzero-metrics/scripts/includes/func_misc.php
	install --mode 0644 -D metrics/includes/hub_parameters.php $(USRSHARE)/hubzero-metrics/scripts/includes/hub_parameters.php
	install --mode 0755 -D metrics/includes/xlogplotgraph $(USRSHARE)/hubzero-metrics/scripts/includes/xlogplotgraph

	install --mode 0755 -D metrics/import/__archive_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__archive_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/__fetch_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__fetch_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/__import_apache_and_auth_log.sh $(USRSHARE)/hubzero-metrics/scripts/import/__import_apache_and_auth_log.sh
	install --mode 0755 -D metrics/import/xlogfix_identify_bots $(USRSHARE)/hubzero-metrics/scripts/import/xlogfix_identify_bots
	install --mode 0755 -D metrics/import/xlogimport_apache $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_apache
	install --mode 0755 -D metrics/import/xlogimport_authlog $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_authlog
	install --mode 0755 -D metrics/import/xlogimport_webhits $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_webhits

	install --mode 0644 -D hubzero-metrics.cron.d $(USRSHARE)/hubzero-metrics/hubzero-metrics.cron.d

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-metrics 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,28 @@
 # @package      hubzero-metrics
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #

## hubzero-metrics 2.1.0-1+deb7

=== debian/changelog ===
hubzero-metrics (2.1.0-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:53:50 -0400

hubzero-metrics (2.0.2-4) unstable; urgency=low

  * update hubzero-cms dependencies list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 11:56:12 -0400

hubzero-metrics (2.0.2-1) unstable; urgency=low

  * update scripts to be compatible with packaged locations 
  * fix plot generation from having xrange errors on thumbnails

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jul 2016 10:56:12 -0400

hubzero-metrics (2.0.1-1) unstable; urgency=low

  * update scripts to be compatible with hubzero-cms v2+

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Jun 2016 14:30:27 -0400

hubzero-metrics (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 17:01:13 -0400

hubzero-metrics (1.3.1-1) unstable; urgency=low

  * upstream update to metric 6
  * clean up build, remove deprecated files and instructions
  * fix log file references

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 16:04:39 -0400

hubzero-metrics (1.3.0-1) unstable; urgency=low

  * upstream update to metrics 5.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 20:40:06 -0400

hubzero-metrics (1.2.0-2) unstable; urgency=low

  * update hubzero-cms dependency definition in debian packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Sep 2014 10:36:06 -0400

hubzero-metrics (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Sep 2014 15:16:25 -0400

hubzero-metrics (1.1.4-1) unstable; urgency=low

  * relax dependency on hubzero-cms

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 16:23:52 -0400

hubzero-metrics (1.1.3-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 16:20:38 -0400

hubzero-metrics (1.1.2-1) unstable; urgency=low

  * change default db host to 127.0.0.1 to avoid potential ::1 localhost
    delay. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Jun 2013 15:57:41 -0400

hubzero-metrics (1.1.1-1) unstable; urgency=low

  * add table prefix when using cms database

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:57:48 -0400

hubzero-metrics (1.1.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Sep 2012 13:20:53 -0400

## hubzero-metrics 2.1.0-1+deb8

=== debian/changelog ===
hubzero-metrics (2.1.0-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:53:50 -0400

=== debian/control ===
Source: hubzero-metrics
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-metrics
Architecture: all
Depends: gnuplot, netpbm, php5-cli, ${shlibs:Depends}, ${misc:Depends}
Recommends: hubzero-cms-2.1.0 | hubzero-cms-2.0.0 | hubzero-cms-1.3.1 | hubzero-cms-1.3.0 | hubzero-cms-1.2.2 | hubzero-cms-1.2.1 | hubzero-cms-1.2.0
Description: HUBzero metrics support package
 Add metrics support options to HUBzero CMS

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-metrics
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-metrics install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-metrics 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-metrics
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-metrics 2.2.9-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-metrics
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETC=$(DESTDIR)/etc
@@ -70,7 +69,8 @@
 	install --mode 0755 -D metrics/import/xlogimport_authlog $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_authlog
 	install --mode 0755 -D metrics/import/xlogimport_webhits $(USRSHARE)/hubzero-metrics/scripts/import/xlogimport_webhits
 
-	install --mode 0644 -D hubzero-metrics.cron.d $(USRSHARE)/hubzero-metrics/hubzero-metrics.cron.d
+	install --mode 0644 -D hubzero-metrics.cron.d $(ETC)/cron.d/hubzero-metrics
+	if id -u apache &>/dev/null; then  sed -i 's/www-data/apache/g' $(ETC)/cron.d/hubzero-metrics; fi
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-metrics (2.2.9-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 23:11:50 -0700

hubzero-metrics (2.2.8-1) unstable; urgency=low

  * revert dependency change to msttcore-fonts-installer
    which is provided by hubzero repository

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 04 May 2020 11:03:17 -0700

hubzero-metrics (2.2.7-1) unstable; urgency=low

  * change el7 dependency to liberation-fonts

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 14:09:38 -0700

hubzero-metrics (2.2.6-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 13:54:21 -0700

hubzero-metrics (2.2.5-1) unstable; urgency=low

  * add netpbm-progs dependency to rhel6 package
  * quote directory name in directory check

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 24 Jul 2018 14:36:45 -0400

hubzero-metrics (2.2.4-1) unstable; urgency=low

  * correctly change user of cron job without buildtime pre-reqs

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 24 Jul 2018 12:34:25 -0400

hubzero-metrics (2.2.3-1) unstable; urgency=low

  * detect system timezone if none configured for php

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 23 Jul 2018 15:58:37 -0400

hubzero-metrics (2.2.2-1) unstable; urgency=low

  * detect old gnuplot and alternate location for msttcore fonts
  * fix accidental errors from a wayward search and replace
  * remove unnecessary comments from cronjob
  * fix user to run cronjobs as when making rhel6 package
  * add perl and perl DBD MySQL packages as rhel6 dependencies
  * filter potential '=' in value in ldap entries of hubzero.conf
  * trim backquotes from hub_db when used in mysqli_connect
  * correct argument order in call to mysqli_real_escape_string
  * add flexible site detector everywhere needed
  * use <?php instead of deprecated <?

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 23 Jul 2018 13:58:21 -0400

hubzero-metrics (2.2.1-1) unstable; urgency=low

  * update php code to use mysqli module instead of mysql
  * add automatic detection of debian vs redhat apache log location
  * loosen hubzero configuration file syntax requirements

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 18 Jul 2018 16:25:02 -0400

hubzero-metrics (2.2.0-1) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 15:35:05 -0400

hubzero-metrics (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 10:53:50 -0400

=== debian/control ===

Source: hubzero-metrics
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-metrics
Architecture: all
Depends: gnuplot, netpbm, libdbd-mysql-perl, ${shlibs:Depends}, ${misc:Depends}    ,php-cli 
Recommends: hubzero-cms-2.1.0 | hubzero-cms-2.0.0 | hubzero-cms-1.3.1 | hubzero-cms-1.3.0 | hubzero-cms-1.2.2 | hubzero-cms-1.2.1 | hubzero-cms-1.2.0 | hubzero-cms-2.2.0 | hubzero-cms-2.2 | hubzero-cms-2.1
Description: HUBzero metrics support package
 Add metrics support options to HUBzero CMS

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-metrics
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
